| Home | Libraries | People | FAQ | More

## Struct template unexpr

boost::proto::unexpr — Lets you inherit the interface of an expression while hiding from Proto the fact that the type is a Proto expression.

## Synopsis

    template<typename Expr>
    struct unexpr {
      // construct/copy/destruct
      unexpr(Expr const &);
    };

## Description

### `unexpr` public construct/copy/destruct

1.     unexpr(Expr const & expr);